Subject: Re: Dynamic Priority setting for DR election

From: "Manral, Vishwas" <[email-masked]>
Date: Thu, 13 Jun 2002 01:04:24 -0400

Alex,

I guess this method can be improved a little using the OSPF concept of BDR,
so that when the DR goes down the BDR can immediately take over and does not
have to form adjacencies all over again.

We could use this, in the sense first declare ourself the BDR and then the
DR, so that the transition is smooth. Agree?

I do not have much idea of OPS though....anyone?

Thanks,
Vishwas

-----Original Message-----
From: Alex Zinin [mailto:[email-masked]]
Sent: Thursday, June 13, 2002 7:36 AM
To: [email-masked]
Subject: Re: Dynamic Priority setting for DR election

 In fact, there are situations where even with a single segment,
 DR responsibilities are too much of a burden for a given router,
 especially when there's a big number of neighbors and a constant
 stream of LSA updates or a flooding storm. So, the situations
 where you do want to shift the DR responsibility may be quite
 realistic.

 In fact, there's a backward-compatible way to preempt the DR
 responsibilities that I already mentioned on the list. The idea
 is to use the process that is seen when a partitioned segment
 is reconnected again. In this case, two routers believe they are
 the DR and compete for this position, as each of them announces
 itself as the DR. Similarly to this process, a router could try
 to preempt the DR role if it announces itself as the DR (or the
 BDR if that's what we need).  If the admin happened to configure
 correct priority, the DR role will shift. A nice thing is that
 we can always tell if preemption is possible based on the local
 configuration and neighbors' announced priorities & IDs.

 That's a small hack and if we see enough interest from the OPS
 community, I guess the WG could consider working on a draft for
 it.

--
Alex

Saturday, June 01, 2002, 2:43:53 PM, you wrote:
>    Mitchel,
>    there must be several conditions met for platform to benefit from DR
> offload:
> - <Router> (in broad sense of the word) must have many interfaces, dozens
if
> not hundreds
> - These interfaces must be OSPF broadcast/NBMA (because there is no DR on
> ptp links)
> - On each interface more than one neighbor should be present. This rule is
> because otherwise interfaces should be converted - manually or somehow
> automatically - to ptp. Thus dozens of apparently needless Net LSAs will
be
> eliminated from LSDB, having other benefits (less flooding and simpler SPF
> in the area)
> - Set of routers on each interface should be different. If same routers
are
> neighboring thru dozens of transit interfaces then one must think about
> reasonable network design, right?

>    I can't think of any widely accepted industry solution matching all
these
> requirements. Access solutions tend to have ptp links, whatever L2 method
is
> employed. Layer 3 switches come closest to matching all these conditions
but
> it is because last rule usually neglected. On L3 switches all interfaces
(or
> vlans) where end clients are connected may and should be configured as
stub
> networks, not transit.
>    Then I just do not see a case where DR offload may be beneficial. That
> was my point.

>    Of course, there always exist freaks who for very specific reasons want
> to do something unusual. But these freaks can manually play with OSPF
> priorities on interfaces of routers.

> Anton